Bug 1032589 - SELinux is preventing /usr/sbin/mcelog from read, write access on the chr_file msr.
SELinux is preventing /usr/sbin/mcelog from read, write access on the chr_fil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2a212c68d6bbd9523b27a733059...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 07:43 EST by Julian Stecklina
Modified: 2013-12-13 21:53 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-105.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:53:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Stecklina 2013-11-20 07:43:12 EST
Description of problem:
SELinux is preventing /usr/sbin/mcelog from read, write access on the chr_file msr.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mcelog should be allowed read write access on the msr chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mcelog /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mcelog_t:s0
Target Context                system_u:object_r:cpu_device_t:s0
Target Objects                msr [ chr_file ]
Source                        mcelog
Source Path                   /usr/sbin/mcelog
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mcelog-1.0-0.11.f0d7654.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-90.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.8-300.fc20.x86_64 #1 SMP Wed
                              Nov 13 16:34:27 UTC 2013 x86_64 x86_64
Alert Count                   51
First Seen                    2013-10-28 22:03:35 CET
Last Seen                     2013-11-20 12:10:54 CET
Local ID                      e686d82d-5720-4372-9cce-5e5415148dcb

Raw Audit Messages
type=AVC msg=audit(1384945854.660:32): avc:  denied  { read write } for  pid=967 comm="mcelog" name="msr" dev="devtmpfs" ino=1107 scontext=system_u:system_r:mcelog_t:s0 tcontext=system_u:object_r:cpu_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1384945854.660:32): arch=x86_64 syscall=open success=no exit=EACCES a0=7fff5b4fb120 a1=2 a2=7fff5b4fb12e a3=0 items=0 ppid=1 pid=967 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=mcelog exe=/usr/sbin/mcelog subj=system_u:system_r:mcelog_t:s0 key=(null)

Hash: mcelog,mcelog_t,cpu_device_t,chr_file,read,write

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.8-300.fc20.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-11-20 09:24:26 EST
f6bef84f599ad320c66c49f642c3926708333f62 allows this in git.
Comment 2 Fedora Update System 2013-11-27 03:15:15 EST
selinux-policy-3.12.1-105.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-105.fc20
Comment 3 Fedora Update System 2013-11-27 11:13:28 EST
Package selinux-policy-3.12.1-105.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-105.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22285/selinux-policy-3.12.1-105.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-13 21:53:56 EST
selinux-policy-3.12.1-105.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.